org.codehaus.groovy.ast.stmt

## Class CatchStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.CatchStatement

-     public class CatchStatement
      extends Statement

  Represents a catch (Exception var) { } statement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatchStatement(Parameter variable, Statement code)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Statement` | `getCode()`
    `ClassNode` | `getExceptionType()`
    `Parameter` | `getVariable()`
    `void` | `setCode(Statement code)`
    `void` | `visit(GroovyCodeVisitor visitor)`

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CatchStatement

          public CatchStatement(Parameter variable,
                                Statement code)

  - ### Method Detail

    - #### visit

          public void visit(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### getCode

          public Statement getCode()

    - #### getExceptionType

          public ClassNode getExceptionType()

    - #### getVariable

          public Parameter getVariable()

    - #### setCode

          public void setCode(Statement code)